/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
 
package org.jboss.mail.jca;

import javax.resource.ResourceException;
import javax.resource.spi.ManagedConnectionMetaData;

/**
 *
 * @author  Scott.Stark@jboss.org
 * @version 
 */
public class ManagedWrappedSessionMetaData implements ManagedConnectionMetaData
{
   /** Creates new FSManagedConnectionMetaData */
    public ManagedWrappedSessionMetaData()
    {
    }

    public String getEISProductName() throws ResourceException
    {
       return "Local File System Adaptor";
    }

    public String getEISProductVersion() throws ResourceException
    {
       return "JBoss 2.4.x JCA";
    }

    public int getMaxConnections() throws ResourceException
    {
       return 100;
    }

    public String getUserName() throws ResourceException
    {
       return "nobody";
    }

}
