/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.mail.jca;
import java.io.Serializable;
import javax.naming.NamingException;
import javax.resource.Referenceable;
/**
 *
 * @author  steve.lewis@ctimi.com
 * @version $Revision: 1.1.1.1 $
 */
public interface WrappedSessionFactory extends Referenceable, Serializable {
	
	
  public WrappedSession getMailSession() throws NamingException;
  public WrappedSession getMailSession(String username, String password) throws NamingException; 
}
